public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-irc/weechat/
Date: Sun, 21 Jan 2024 04:21:19 +0000 (UTC)	[thread overview]
Message-ID: <1705810374.c1bfdebaacb2701e043523f7d9a2f1deb4b4c9eb.sam@gentoo> (raw)

commit:     c1bfdebaacb2701e043523f7d9a2f1deb4b4c9eb
Author:     Leonardo Hernández Hernández <leohdz172 <AT> proton <DOT> me>
AuthorDate: Sun Jan 21 04:07:00 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 21 04:12:54 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c1bfdeba

net-irc/weechat: add 4.1.3

Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> proton.me>
Closes: https://github.com/gentoo/gentoo/pull/34931
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-irc/weechat/Manifest             |   2 +
 net-irc/weechat/weechat-4.1.3.ebuild | 187 +++++++++++++++++++++++++++++++++++
 2 files changed, 189 insertions(+)

diff --git a/net-irc/weechat/Manifest b/net-irc/weechat/Manifest
index 7150bfdf776e..2079d0dfba4c 100644
--- a/net-irc/weechat/Manifest
+++ b/net-irc/weechat/Manifest
@@ -16,3 +16,5 @@ DIST weechat-4.1.1.tar.xz 2634896 BLAKE2B 5a2d5042de0871eabf65b71e1172f891044692
 DIST weechat-4.1.1.tar.xz.asc 833 BLAKE2B 79d9e304ebea2d2c646acea505b73ec4b0e4e742b1fefe7a44d9f0f05ea2c6ad20a9d6a1468fc4c544e0239494bdec93d1a79fd19c09779845aff612e52c2e82 SHA512 178f134e5ab4948dd8dfd05532216cdc25783970775b28d2499429140f95f8b6ef522dea256d45ed1b282cbb2d0a1d88114e907a28011a3473a5a7c3e2c380af
 DIST weechat-4.1.2.tar.xz 2635776 BLAKE2B cd11602b74c65ae4ed129c3604afc1eff154494ef239ead1cbcf2e9e54fba5c53b292c52b11887c48e3587dca3ab5b42073af77623087a2d185c9540368a63ab SHA512 9df8b43a7210f06cece1d28fcf8559885a0d5590b5691f63205b215417f132e4d74f4af18b572daae2679d5cf574b61538a7067e03087be10e831fee4f55e115
 DIST weechat-4.1.2.tar.xz.asc 833 BLAKE2B 94d700e074393c4bde8b68bacfe4a37d022f82bbd9697b12a1cf1e98cbb15a4295689c704ce8eaaf095ca96c4eea8c63275232a5ca6f40ab09d534fff24e76c5 SHA512 44cc5be0700b7979c85e44a1037fd467a6a920f22dc831fd3263fe6d8967eda001d09126b33adaed385c4082e33b8849cba3dbec48f4900e50e10f4da32a6edd
+DIST weechat-4.1.3.tar.xz 2635936 BLAKE2B b810dc49f817f35b121037663e36dded1dd1f56b8ea7db6b18d60731993efeca956f8ec871001ced480094f1fc2e63c276047c44d1fc1ec27bb13622be1ffc84 SHA512 e33c29ddcaa49aba94f0a7ceada9fd0df0ea63a843ab752eb35d8b1a68ca151ae8d58ab66ec18f82d7ba7846cacaef8a19edcbf4e70f6ae10dd9a3cf09955bb0
+DIST weechat-4.1.3.tar.xz.asc 833 BLAKE2B 3db658a0323dedbe0cd1d057139d3fef216441538391ba36cb4b2763cb80bbd32ddd36f2a0f2330bdcd73722fdd73f02eff39da61a61bfda7a4fd8aaa1f98abb SHA512 054844c78dfeaa60e8a027e96aff994009c07b871b9fd712e3650a709c5bdf7ca1da8b4eb6251c82152153fc4e765f032760387b2a89840effd389d6532ea170

diff --git a/net-irc/weechat/weechat-4.1.3.ebuild b/net-irc/weechat/weechat-4.1.3.ebuild
new file mode 100644
index 000000000000..0850f836dca6
--- /dev/null
+++ b/net-irc/weechat/weechat-4.1.3.ebuild
@@ -0,0 +1,187 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} )
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit cmake lua-single python-single-r1 xdg
+
+if [[ ${PV} == "9999" ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/weechat/weechat.git"
+else
+	inherit verify-sig
+	SRC_URI="https://weechat.org/files/src/${P}.tar.xz
+		verify-sig? ( https://weechat.org/files/src/${P}.tar.xz.asc )"
+	VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/weechat.org.asc
+	BDEPEND+="verify-sig? ( sec-keys/openpgp-keys-weechat )"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~x64-macos"
+fi
+
+DESCRIPTION="Portable and multi-interface IRC client"
+HOMEPAGE="https://weechat.org/"
+
+LICENSE="GPL-3+"
+SLOT="0/${PV}"
+
+NETWORKS="+irc"
+PLUGINS="+alias +buflist +charset +exec +fifo +fset +logger +relay +scripts +spell +trigger +typing +xfer"
+# dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
+# dev-lang/php eclass support is lacking, php plugins don't work. bug #705702
+SCRIPT_LANGS="guile lua +perl +python ruby tcl"
+LANGS=" cs de es fr it ja pl ru"
+IUSE="doc enchant man nls selinux test +zstd ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
+
+REQUIRED_USE="
+	enchant? ( spell )
+	lua? ( ${LUA_REQUIRED_USE} )
+	python? ( ${PYTHON_REQUIRED_USE} )
+	test? ( nls )
+"
+
+RDEPEND="
+	dev-libs/libgcrypt:0=
+	net-libs/gnutls:=
+	sys-libs/ncurses:0=
+	sys-libs/zlib:=
+	net-misc/curl[ssl]
+	charset? ( virtual/libiconv )
+	guile? ( >=dev-scheme/guile-2.0:12= )
+	lua? ( ${LUA_DEPS} )
+	nls? ( virtual/libintl )
+	perl? (
+		dev-lang/perl:=
+		virtual/libcrypt:=
+	)
+	python? ( ${PYTHON_DEPS} )
+	ruby? (
+		|| (
+			dev-lang/ruby:3.2
+			dev-lang/ruby:3.1
+		)
+	)
+	selinux? ( sec-policy/selinux-irc )
+	spell? (
+		enchant? ( app-text/enchant:* )
+		!enchant? ( app-text/aspell )
+	)
+	tcl? ( >=dev-lang/tcl-8.4.15:0= )
+	zstd? ( app-arch/zstd:= )
+"
+
+DEPEND="${RDEPEND}
+	test? ( dev-util/cpputest )
+"
+
+BDEPEND+="
+	virtual/pkgconfig
+	doc? ( >=dev-ruby/asciidoctor-1.5.4 )
+	man? ( >=dev-ruby/asciidoctor-1.5.4 )
+	nls? ( >=sys-devel/gettext-0.15 )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.3-cmake_lua_version.patch
+)
+
+DOCS="AUTHORS.adoc ChangeLog.adoc Contributing.adoc ReleaseNotes.adoc README.adoc"
+
+RESTRICT="!test? ( test )"
+
+pkg_setup() {
+	use lua && lua-single_pkg_setup
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	cmake_src_prepare
+
+	# install only required translations
+	local i
+	for i in ${LANGS} ; do
+		if ! has ${i} ${LINGUAS-${i}} ; then
+			sed -i \
+				-e "/${i}.po/d" \
+				po/CMakeLists.txt || die
+		fi
+	done
+
+	# install only required documentation ; en always
+	local j
+	for i in $(grep -e 'set(.*en.*)$' doc/CMakeLists.txt \
+			| sed -e 's/.*set(\(\w\+\).*/\1/'); do
+		for j in $(grep set.${i} doc/CMakeLists.txt \
+				| sed -e "s/.*${i}\(.*\)).*/\1/" -e 's/ en//'); do
+			if ! has ${j} ${LINGUAS-${j}} ; then
+				sed -i \
+					-e "s/\(set(${i}.*\) ${j}/\1/" \
+					doc/CMakeLists.txt || die
+			fi
+		done
+	done
+
+	# install docs in correct directory
+	sed -i "s#\${DATAROOTDIR}/doc/\${PROJECT_NAME}#\0-${PVR}/html#" doc/CMakeLists.txt || die
+
+	if [[ ${CHOST} == *-darwin* ]]; then
+		# fix linking error on Darwin
+		sed -i "s/+ get_config_var('LINKFORSHARED')//" \
+			cmake/FindPython.cmake || die
+		# allow to find the plugins by default
+		sed -i 's/".so,.dll"/".bundle,.so,.dll"/' \
+			src/core/wee-config.c || die
+	fi
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DLIBDIR="${EPREFIX}/usr/$(get_libdir)"
+		-DENABLE_JAVASCRIPT=OFF
+		-DENABLE_LARGEFILE=ON
+		-DENABLE_NCURSES=ON
+		-DENABLE_PHP=OFF
+		-DENABLE_ALIAS=$(usex alias)
+		-DENABLE_BUFLIST=$(usex buflist)
+		-DENABLE_CHARSET=$(usex charset)
+		# -DENABLE_DOC requires all plugins (except javascript).
+		# https://github.com/weechat/weechat/blob/v4.0.2/CMakeLists.txt#L144
+		# Impossible since php was dropped in net-irc/weechat-3.5.r1.ebuild. bug #705702
+		-DENABLE_DOC=OFF
+		-DENABLE_DOC_INCOMPLETE=$(usex doc)
+		-DENABLE_ENCHANT=$(usex enchant)
+		-DENABLE_EXEC=$(usex exec)
+		-DENABLE_FIFO=$(usex fifo)
+		-DENABLE_FSET=$(usex fset)
+		-DENABLE_GUILE=$(usex guile)
+		-DENABLE_IRC=$(usex irc)
+		-DENABLE_LOGGER=$(usex logger)
+		-DENABLE_LUA=$(usex lua)
+		-DENABLE_MAN=$(usex man)
+		-DENABLE_NLS=$(usex nls)
+		-DENABLE_PERL=$(usex perl)
+		-DENABLE_PYTHON=$(usex python)
+		-DENABLE_RELAY=$(usex relay)
+		-DENABLE_RUBY=$(usex ruby)
+		-DENABLE_SCRIPT=$(usex scripts)
+		-DENABLE_SCRIPTS=$(usex scripts)
+		-DENABLE_SPELL=$(usex spell)
+		-DENABLE_TCL=$(usex tcl)
+		-DENABLE_TESTS=$(usex test)
+		-DENABLE_TRIGGER=$(usex trigger)
+		-DENABLE_TYPING=$(usex typing)
+		-DENABLE_XFER=$(usex xfer)
+		-DENABLE_ZSTD=$(usex zstd)
+	)
+	cmake_src_configure
+}
+
+src_test() {
+	if $(locale -a | grep -iq "en_US\.utf.*8"); then
+		cmake_src_test -V
+	else
+		eerror "en_US.UTF-8 locale is required to run ${PN}'s ${FUNCNAME}"
+		die "required locale missing"
+	fi
+}


             reply	other threads:[~2024-01-21  4:21 UTC|newest]

Thread overview: 214+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-01-21  4:21 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-21 19:58 [gentoo-commits] repo/gentoo:master commit in: net-irc/weechat/ Arthur Zamarin
2024-09-18 13:12 Arsen Arsenović
2024-09-09 20:44 Arthur Zamarin
2024-09-09  0:17 Eli Schwartz
2024-09-09  0:17 Eli Schwartz
2024-09-08 21:42 Sam James
2024-09-01  6:41 Eli Schwartz
2024-09-01  6:41 Eli Schwartz
2024-09-01  6:41 Eli Schwartz
2024-09-01  6:41 Eli Schwartz
2024-07-14  7:17 Joonas Niilola
2024-07-08  0:48 Sam James
2024-07-07 19:46 Jakov Smolić
2024-07-07  4:46 Eli Schwartz
2024-07-07  4:46 Eli Schwartz
2024-06-26  9:27 Florian Schmaus
2024-06-13  7:47 Florian Schmaus
2024-06-08  7:46 Florian Schmaus
2024-06-07  7:36 Florian Schmaus
2024-06-06  6:56 Florian Schmaus
2024-06-06  6:56 Florian Schmaus
2024-06-06  6:56 Florian Schmaus
2024-06-06  6:56 Florian Schmaus
2024-05-05 11:49 Sam James
2024-04-13  6:26 Arthur Zamarin
2024-03-26  6:06 Joonas Niilola
2024-03-25 18:50 Sam James
2024-02-09 14:10 Joonas Niilola
2024-02-09 14:10 Joonas Niilola
2024-02-06  5:03 Ionen Wolkens
2024-01-22  7:58 Joonas Niilola
2024-01-22  5:02 Sam James
2024-01-21  4:21 Sam James
2023-12-13  8:06 Florian Schmaus
2023-12-13  8:06 Florian Schmaus
2023-10-31  8:41 Florian Schmaus
2023-10-31  8:41 Florian Schmaus
2023-10-31  8:41 Florian Schmaus
2023-10-18 12:53 Florian Schmaus
2023-10-18 12:53 Florian Schmaus
2023-10-18 12:53 Florian Schmaus
2023-10-01 18:19 Arthur Zamarin
2023-09-27 10:30 Joonas Niilola
2023-09-27  8:33 Sam James
2023-09-27  8:04 Florian Schmaus
2023-09-27  8:04 Florian Schmaus
2023-09-27  8:04 Florian Schmaus
2023-08-25 17:19 Arthur Zamarin
2023-08-25 17:19 Arthur Zamarin
2023-08-25 17:19 Arthur Zamarin
2023-08-25 17:19 Arthur Zamarin
2023-07-27 19:27 Florian Schmaus
2023-07-27 19:27 Florian Schmaus
2023-06-26 14:27 David Seifert
2023-05-06  9:50 Arthur Zamarin
2023-03-28 17:46 Georgy Yakovlev
2023-03-28 17:46 Georgy Yakovlev
2023-03-27  6:33 Sam James
2023-03-08 16:25 Matthew Smith
2023-03-08 15:29 Matthew Smith
2023-02-01 15:55 Arthur Zamarin
2023-01-20 17:00 Sam James
2023-01-19 22:29 Georgy Yakovlev
2023-01-19 22:29 Georgy Yakovlev
2022-11-11 12:02 Georgy Yakovlev
2022-11-11 11:42 Georgy Yakovlev
2022-10-31 11:48 Agostino Sarubbo
2022-10-30  9:10 Sam James
2022-10-30  7:57 Agostino Sarubbo
2022-09-16  8:05 Georgy Yakovlev
2022-09-16  8:05 Georgy Yakovlev
2022-09-16  8:05 Georgy Yakovlev
2022-07-29 22:32 Georgy Yakovlev
2022-07-29 22:32 Georgy Yakovlev
2022-07-29 22:32 Georgy Yakovlev
2022-07-29 22:32 Georgy Yakovlev
2022-07-28 14:09 Sam James
2022-07-25  7:11 Agostino Sarubbo
2022-07-25  7:10 Agostino Sarubbo
2022-07-24  2:06 Georgy Yakovlev
2022-07-24  2:06 Georgy Yakovlev
2022-07-24  2:06 Georgy Yakovlev
2022-04-08  0:42 Georgy Yakovlev
2022-04-08  0:42 Georgy Yakovlev
2022-04-08  0:42 Georgy Yakovlev
2022-04-08  0:42 Georgy Yakovlev
2022-03-27  2:33 Sam James
2022-03-21  9:12 Jakov Smolić
2022-03-19  6:53 Arthur Zamarin
2022-03-16 17:07 Sam James
2022-03-16 17:07 Sam James
2022-03-16 17:07 Sam James
2022-03-16 17:07 Sam James
2021-12-23 23:19 Georgy Yakovlev
2021-12-23 23:19 Georgy Yakovlev
2021-11-08  2:51 Yixun Lan
2021-10-12 16:28 Georgy Yakovlev
2021-10-12 16:28 Georgy Yakovlev
2021-10-12 16:28 Georgy Yakovlev
2021-10-12 16:28 Georgy Yakovlev
2021-10-09 19:18 Sam James
2021-09-02 17:49 Georgy Yakovlev
2021-06-15 18:53 Georgy Yakovlev
2021-04-22 16:23 Georgy Yakovlev
2021-04-22 16:21 Georgy Yakovlev
2021-04-22 12:23 Sam James
2021-04-22 12:08 Sam James
2021-04-20 18:06 Georgy Yakovlev
2021-04-20 18:06 Georgy Yakovlev
2021-03-09 21:20 Georgy Yakovlev
2021-03-09 21:20 Georgy Yakovlev
2021-02-03  1:19 Georgy Yakovlev
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2020-11-12 11:33 Georgy Yakovlev
2020-11-12 11:33 Georgy Yakovlev
2020-11-11 20:20 Georgy Yakovlev
2020-11-11 20:20 Georgy Yakovlev
2020-11-11 20:16 Georgy Yakovlev
2020-11-11 20:16 Georgy Yakovlev
2020-11-11 20:16 Georgy Yakovlev
2020-09-19 23:03 Georgy Yakovlev
2020-09-18  7:29 Agostino Sarubbo
2020-09-06  7:16 Georgy Yakovlev
2020-09-06  7:16 Georgy Yakovlev
2020-09-05 16:17 Thomas Deutschmann
2020-09-05  7:49 Georgy Yakovlev
2020-08-14 23:22 Andreas Sturmlechner
2020-07-21  0:15 Georgy Yakovlev
2020-07-21  0:15 Georgy Yakovlev
2020-07-02  5:06 Georgy Yakovlev
2020-07-02  4:59 Georgy Yakovlev
2020-07-02  4:59 Georgy Yakovlev
2020-06-09 13:53 Agostino Sarubbo
2020-06-09 13:50 Agostino Sarubbo
2020-06-09 13:45 Agostino Sarubbo
2020-06-07  2:20 Georgy Yakovlev
2020-04-03  6:43 Georgy Yakovlev
2020-02-24 14:19 Agostino Sarubbo
2020-02-24  7:41 Agostino Sarubbo
2020-02-21  7:28 Georgy Yakovlev
2020-02-21  7:17 Georgy Yakovlev
2020-02-13 10:18 Georgy Yakovlev
2020-02-13 10:18 Georgy Yakovlev
2020-02-10 12:12 Michał Górny
2019-12-22 21:55 Georgy Yakovlev
2019-12-22 21:55 Georgy Yakovlev
2019-12-13 23:31 Georgy Yakovlev
2019-12-13 23:31 Georgy Yakovlev
2019-12-09 20:22 Georgy Yakovlev
2019-12-09 20:22 Georgy Yakovlev
2019-12-07  0:58 Georgy Yakovlev
2019-12-07  0:58 Georgy Yakovlev
2019-11-19 15:40 Agostino Sarubbo
2019-11-18 12:03 Agostino Sarubbo
2019-11-17 22:32 Tim Harder
2019-09-09 18:48 Georgy Yakovlev
2019-09-09 18:48 Georgy Yakovlev
2019-08-06  9:42 Agostino Sarubbo
2019-08-06  9:39 Agostino Sarubbo
2019-06-07 22:16 Georgy Yakovlev
2019-06-07  4:12 Georgy Yakovlev
2019-06-07  4:12 Georgy Yakovlev
2019-06-07  4:05 Georgy Yakovlev
2019-06-07  4:05 Georgy Yakovlev
2019-02-17 21:05 Georgy Yakovlev
2019-02-17 21:05 Georgy Yakovlev
2018-12-13  6:48 Tim Harder
2018-12-13  3:46 Georgy Yakovlev
2018-12-13  3:46 Georgy Yakovlev
2018-12-01  2:02 Georgy Yakovlev
2018-12-01  2:02 Georgy Yakovlev
2018-10-21 21:12 Georgy Yakovlev
2018-10-21 21:12 Georgy Yakovlev
2018-10-10  5:40 Georgy Yakovlev
2018-09-11  1:30 Georgy Yakovlev
2018-09-11  1:30 Georgy Yakovlev
2018-08-26 17:28 Michał Górny
2018-08-25  5:03 Georgy Yakovlev
2018-08-25  5:03 Georgy Yakovlev
2018-03-19  0:01 Tim Harder
2018-03-19  0:01 Tim Harder
2018-01-07 12:13 Ulrich Müller
2017-12-21  4:05 Tim Harder
2017-12-03 21:15 Tim Harder
2017-10-03 10:48 Fabian Groffen
2017-10-03  9:41 Fabian Groffen
2017-10-03  9:41 Fabian Groffen
2017-09-29 23:01 Tim Harder
2017-09-29 23:01 Tim Harder
2017-09-29 23:01 Tim Harder
2017-09-29 23:01 Tim Harder
2017-09-11  5:16 Tim Harder
2017-08-31 11:36 Tim Harder
2017-07-10  7:53 Tim Harder
2017-06-22 12:10 Tomas Chvatal
2017-05-26 22:54 David Seifert
2017-05-13 22:28 Tim Harder
2017-04-24 18:42 Tim Harder
2017-04-23 21:01 David Seifert
2017-03-17 21:54 Andreas Hüttel
2017-01-24 19:41 Tim Harder
2017-01-20 22:39 Tim Harder
2016-10-03 18:08 Tim Harder
2016-08-25  5:11 Tim Harder
2016-08-08 19:26 Tim Harder
2016-08-08 19:26 Tim Harder
2016-08-08 19:26 Tim Harder
2016-06-06 13:33 Agostino Sarubbo
2016-05-02 21:30 Tim Harder
2016-03-31  4:13 Tim Harder
2016-01-14 22:11 Tim Harder
2015-08-25  3:03 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1705810374.c1bfdebaacb2701e043523f7d9a2f1deb4b4c9eb.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox